"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Connected = Connected;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _hook = require("./hook");

var _Connected = _interopRequireDefault(require("./Connected.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * Connected groups inputs inline and maintains a consistent height across
 * inputs. It is commonly used for displaying a single-line TextField or Select
 * inline with a Button.
 */
function Connected(_ref) {
  var children = _ref.children,
      spacing = _ref.spacing,
      leading = _ref.leading,
      trailing = _ref.trailing;
  return /*#__PURE__*/_react["default"].createElement(_hook.ConnectedContext.Provider, {
    value: true
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _cssUtilities.classNames)(_Connected["default"].Connected, leading && _Connected["default"][(0, _cssUtilities.variationName)('leading', leading)], trailing && _Connected["default"][(0, _cssUtilities.variationName)('trailing', trailing)], spacing && _Connected["default"][(0, _cssUtilities.variationName)('spacing', spacing)])
  }, children));
}