"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Link = Link;

var _react = _interopRequireDefault(require("react"));

var _Button = require("../Button");

var _components = require("./components");

var _Link = _interopRequireDefault(require("./Link.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * Link is used to navigate the buyer to another page or section within the same page.
 */
function Link(_ref) {
  var to = _ref.to,
      children = _ref.children,
      onPress = _ref.onPress,
      rest = _objectWithoutProperties(_ref, ["to", "children", "onPress"]);

  if (!to) {
    return /*#__PURE__*/_react["default"].createElement(_Button.Button, Object.assign({
      onPress: onPress,
      plain: true
    }, rest), children);
  }

  return /*#__PURE__*/_react["default"].createElement(_components.UnstyledLink, Object.assign({
    className: _Link["default"].Link,
    to: to,
    onPress: onPress
  }, rest), children);
}