"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.linkWithoutUrl = exports.externalLink = exports.internalLink = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _Link = require("./Link");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _Link.Link,
  title: 'Link'
};
var _default = meta;
exports["default"] = _default;
var defaultProps = {
  to: 'https://shopify.com'
};

var internalLink = function internalLink() {
  return /*#__PURE__*/_react["default"].createElement(_Link.Link, Object.assign({}, defaultProps, {
    external: false
  }), "Internal link");
};

exports.internalLink = internalLink;

var externalLink = function externalLink() {
  return /*#__PURE__*/_react["default"].createElement(_Link.Link, Object.assign({}, defaultProps, {
    external: true
  }), "External link");
};

exports.externalLink = externalLink;

var linkWithoutUrl = function linkWithoutUrl() {
  return /*#__PURE__*/_react["default"].createElement(_Link.Link, {
    to: undefined
  }, "Link without Url");
};

exports.linkWithoutUrl = linkWithoutUrl;