"use strict";

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _faker = _interopRequireDefault(require("faker"));

var _MoneySummary = require("./MoneySummary");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var defaultProps = {
  label: _faker["default"].random.word(),
  value: _faker["default"].finance.amount(),
  prefix: _faker["default"].finance.currencyCode()
};
describe('<MoneySummary />', function () {
  it('renders a label', function () {
    var label = _faker["default"].random.word();

    var moneySummary = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_MoneySummary.MoneySummary, Object.assign({}, defaultProps, {
      label: label
    })));
    expect(moneySummary).toContainReactText(label);
  });
  it('renders a prefix', function () {
    var prefix = _faker["default"].random.word();

    var moneySummary = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_MoneySummary.MoneySummary, Object.assign({}, defaultProps, {
      prefix: prefix
    })));
    expect(moneySummary).toContainReactText(prefix);
  });
  it('renders a value', function () {
    var value = _faker["default"].random.word();

    var moneySummary = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_MoneySummary.MoneySummary, Object.assign({}, defaultProps, {
      value: value
    })));
    expect(moneySummary).toContainReactText(value);
  });
});