"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withHiddenHeaderContent = exports.withHeader = exports.borderBetweenItems = exports.borderFull = exports.borderBlockEnd = exports.oneItem = exports.multipleItems = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _Text = require("../Text");

var _Thumbnail = require("../Thumbnail");

var _ResourceItem = require("../ResourceItem");

var _ResourceList = require("./ResourceList");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _ResourceList.ResourceList,
  title: 'ResourceList',
  decorators: [function (story) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        margin: '1em'
      }
    }, story());
  }]
};
var _default = meta;
exports["default"] = _default;
var placeholder = '//cdn.shopify.com/s/assets/checkout/product-blank-98d4187c2152136e9fb0587a99dfcce6f6873f3a9f21ea9135ed7f495296090f.png';

function Item() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItem, null, /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, null, /*#__PURE__*/_react["default"].createElement(_Thumbnail.Thumbnail, {
    source: placeholder,
    description: "some media source",
    badge: 1
  })), /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, {
    primary: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "T-shirt"), /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    subdued: true
  }, "L/Blue")), /*#__PURE__*/_react["default"].createElement(_ResourceItem.ResourceItemContent, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, {
    emphasized: true
  }, "$12.00")));
}

var multipleItems = function multipleItems() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceList, null, /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null));
};

exports.multipleItems = multipleItems;

var oneItem = function oneItem() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceList, null, /*#__PURE__*/_react["default"].createElement(Item, null));
};

exports.oneItem = oneItem;

var borderBlockEnd = function borderBlockEnd() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceList, {
    border: "blockEnd"
  }, /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null));
};

exports.borderBlockEnd = borderBlockEnd;

var borderFull = function borderFull() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceList, {
    border: "full"
  }, /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null));
};

exports.borderFull = borderFull;

var borderBetweenItems = function borderBetweenItems() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceList, {
    border: "betweenItems"
  }, /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null));
};

exports.borderBetweenItems = borderBetweenItems;

var withHeader = function withHeader() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceList, null, /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceListHeader, null, /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceListHeaderContent, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Image")), /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceListHeaderContent, {
    primary: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Description")), /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceListHeaderContent, null, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Price"))), /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null));
};

exports.withHeader = withHeader;

var withHiddenHeaderContent = function withHiddenHeaderContent() {
  return /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceList, null, /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceListHeader, null, /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceListHeaderContent, {
    hidden: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Image")), /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceListHeaderContent, {
    primary: true,
    hidden: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Description")), /*#__PURE__*/_react["default"].createElement(_ResourceList.ResourceListHeaderContent, {
    hidden: true
  }, /*#__PURE__*/_react["default"].createElement(_Text.Text, null, "Price"))), /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null), /*#__PURE__*/_react["default"].createElement(Item, null));
};

exports.withHiddenHeaderContent = withHiddenHeaderContent;