"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reviewBlockWithHiddenTitle = exports.reviewBlock = exports.withAriaLabelForLink = exports.withLink = exports.defaultState = exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonKnobs = require("@storybook/addon-knobs");

var _storybookUtilities = require("../../storybook-utilities");

var _ReviewItem = require("./ReviewItem");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var meta = {
  component: _ReviewItem.ReviewItem,
  title: 'ReviewItem',
  decorators: [_addonKnobs.withKnobs, (0, _storybookUtilities.themeWithKnobs)('reviewBlock')]
};
var _default = meta;
exports["default"] = _default;

var defaultState = function defaultState() {
  return /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewItem, {
    label: "Contact"
  }, "snowdevil@shopify.com");
};

exports.defaultState = defaultState;

var withLink = function withLink() {
  return /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewItem, {
    label: "Contact",
    to: "/shipping",
    linkLabel: "Change"
  }, "snowdevil@shopify.com");
};

exports.withLink = withLink;

var withAriaLabelForLink = function withAriaLabelForLink() {
  return /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewItem, {
    label: "Contact",
    to: "/shipping",
    linkLabel: "Change",
    linkAriaLabel: "Change contact information"
  }, "snowdevil@shopify.com");
};

exports.withAriaLabelForLink = withAriaLabelForLink;

var reviewBlock = function reviewBlock() {
  return /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewBlock, {
    title: "Review"
  }, /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewItem, {
    label: "Contact",
    to: "/information",
    linkLabel: "Change",
    linkAriaLabel: "Change contact information"
  }, "snowdevil@shopify.com"), /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewItem, {
    label: "Ship to",
    to: "/information",
    linkLabel: "Change",
    linkAriaLabel: "Change shipping address"
  }, "490 Rue de la Gaucheti\xE8re O, Montr\xE9al, QC H2Z 0B3"), /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewItem, {
    label: "Method",
    to: "/shipping",
    linkLabel: "Change",
    linkAriaLabel: "Change shipping method"
  }, "Standard - ", /*#__PURE__*/_react["default"].createElement("strong", null, "$14.90")));
};

exports.reviewBlock = reviewBlock;

var reviewBlockWithHiddenTitle = function reviewBlockWithHiddenTitle() {
  return /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewBlock, {
    title: "Review your information",
    titleHidden: true
  }, /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewItem, {
    label: "Contact",
    to: "/information",
    linkLabel: "Change",
    linkAriaLabel: "Change contact information"
  }, "snowdevil@shopify.com"), /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewItem, {
    label: "Ship to",
    to: "/information",
    linkLabel: "Change",
    linkAriaLabel: "Change shipping address"
  }, "490 Rue de la Gaucheti\xE8re O, Montr\xE9al, QC H2Z 0B3"), /*#__PURE__*/_react["default"].createElement(_ReviewItem.ReviewItem, {
    label: "Method",
    to: "/shipping",
    linkLabel: "Change",
    linkAriaLabel: "Change shipping method"
  }, "Standard - ", /*#__PURE__*/_react["default"].createElement("strong", null, "$14.90")));
};

exports.reviewBlockWithHiddenTitle = reviewBlockWithHiddenTitle;