"use strict";

var _react = _interopRequireDefault(require("react"));

var _dom = require("@quilted/react-testing/dom");

var _TextBlock = require("../../../TextBlock");

var _Stepper = require("../../Stepper");

var _VisuallyHidden = require("../../../VisuallyHidden");

var _StepperStep = require("./StepperStep");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var defaultProps = function defaultProps(id) {
  return {
    id: "step".concat(id),
    icon: 'checkmark',
    label: "Step ".concat(id),
    state: "State ".concat(id)
  };
};

describe('<StepperStep />', function () {
  it('renders a <StepperStepConnector /> except for first StepperStep', function () {
    var stepper = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, {
      activeStep: "step3"
    }, /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(1)), /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(2)), /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(3))));

    var _stepper$findAll = stepper.findAll(_StepperStep.StepperStep),
        _stepper$findAll2 = _slicedToArray(_stepper$findAll, 3),
        firstStepperStep = _stepper$findAll2[0],
        secondStepperStep = _stepper$findAll2[1],
        finalStepperStep = _stepper$findAll2[2];

    expect(firstStepperStep).not.toContainReactComponent(_StepperStep.StepperStepConnector);
    expect(secondStepperStep).toContainReactComponent(_StepperStep.StepperStepConnector, {
      active: false,
      completed: true
    });
    expect(finalStepperStep).toContainReactComponent(_StepperStep.StepperStepConnector, {
      active: true,
      completed: false
    });
  });
  it('renders <StepperStepIcon />', function () {
    var stepper = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, {
      activeStep: "step2"
    }, /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(1)), /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(2)), /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, Object.assign({}, defaultProps(3), {
      iconColor: "critical"
    }))));

    var _stepper$findAll3 = stepper.findAll(_StepperStep.StepperStep),
        _stepper$findAll4 = _slicedToArray(_stepper$findAll3, 3),
        firstStepperStep = _stepper$findAll4[0],
        secondStepperStep = _stepper$findAll4[1],
        finalStepperStep = _stepper$findAll4[2];

    expect(firstStepperStep).toContainReactComponent(_StepperStep.StepperStepIcon, {
      active: false,
      completed: true,
      source: 'checkmark'
    });
    expect(secondStepperStep).toContainReactComponent(_StepperStep.StepperStepIcon, {
      active: true,
      completed: false,
      source: 'checkmark'
    });
    expect(finalStepperStep).toContainReactComponent(_StepperStep.StepperStepIcon, {
      active: false,
      completed: false,
      source: 'checkmark',
      color: 'critical'
    });
  });
  it('renders <StepperStepLabel /> with state', function () {
    var stepper = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, null, /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(1)), /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, Object.assign({}, defaultProps(2), {
      stateHidden: false
    }))));

    var _stepper$findAll5 = stepper.findAll(_StepperStep.StepperStep),
        _stepper$findAll6 = _slicedToArray(_stepper$findAll5, 2),
        firstStepperStep = _stepper$findAll6[0],
        finalStepperStep = _stepper$findAll6[1];

    expect(firstStepperStep).toContainReactComponent(_StepperStep.StepperStepLabel, {
      state: 'State 1'
    });
    expect(finalStepperStep).toContainReactComponent(_StepperStep.StepperStepLabel, {
      state: 'State 2'
    });
    expect(firstStepperStep).toContainReactComponent(_VisuallyHidden.VisuallyHidden);
    expect(firstStepperStep).toContainReactComponentTimes(_TextBlock.TextBlock, 1);
    expect(finalStepperStep).not.toContainReactComponent(_VisuallyHidden.VisuallyHidden);
    expect(finalStepperStep).toContainReactComponentTimes(_TextBlock.TextBlock, 2);
    expect(firstStepperStep.find(_VisuallyHidden.VisuallyHidden)).toContainReactText('State 1');
    expect(finalStepperStep.find(_TextBlock.TextBlock)).toContainReactText('State 2');
  });
  it('renders <StepperStepLabel /> with label or description', function () {
    var stepper = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, {
      activeStep: "step2"
    }, /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, Object.assign({}, defaultProps(1), {
      description: "Description 1"
    })), /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, Object.assign({}, defaultProps(2), {
      description: "Description 2"
    })), /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(3))));

    var _stepper$findAll7 = stepper.findAll(_StepperStep.StepperStep),
        _stepper$findAll8 = _slicedToArray(_stepper$findAll7, 3),
        firstStepperStep = _stepper$findAll8[0],
        secondStepperStep = _stepper$findAll8[1],
        finalStepperStep = _stepper$findAll8[2];

    expect(firstStepperStep).toContainReactComponent(_StepperStep.StepperStepLabel, {
      label: 'Step 1',
      description: 'Description 1'
    });
    expect(secondStepperStep).toContainReactComponent(_StepperStep.StepperStepLabel, {
      label: 'Step 2',
      description: 'Description 2'
    });
    expect(finalStepperStep).toContainReactComponent(_StepperStep.StepperStepLabel, {
      label: 'Step 3'
    });
    expect(firstStepperStep.find(_TextBlock.TextBlock)).toContainReactText('Step 1');
    expect(secondStepperStep.find(_TextBlock.TextBlock)).toContainReactText('Step 2');
    expect(finalStepperStep.find(_TextBlock.TextBlock)).toContainReactText('Step 3');
    expect(firstStepperStep).toContainReactComponentTimes(_TextBlock.TextBlock, 2);
    expect(secondStepperStep).toContainReactComponentTimes(_TextBlock.TextBlock, 2);
    expect(finalStepperStep).toContainReactComponentTimes(_TextBlock.TextBlock, 1);
  });
  it('renders a <li> with a aria-current attribute', function () {
    var stepper = (0, _dom.mount)( /*#__PURE__*/_react["default"].createElement(_Stepper.Stepper, {
      activeStep: "step2"
    }, /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(1)), /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(2)), /*#__PURE__*/_react["default"].createElement(_StepperStep.StepperStep, defaultProps(3))));

    var _stepper$findAll9 = stepper.findAll(_StepperStep.StepperStep),
        _stepper$findAll10 = _slicedToArray(_stepper$findAll9, 3),
        firstStepperStep = _stepper$findAll10[0],
        secondStepperStep = _stepper$findAll10[1],
        finalStepperStep = _stepper$findAll10[2];

    expect(firstStepperStep).toContainReactComponent('li', {
      'aria-current': false
    });
    expect(secondStepperStep).toContainReactComponent('li', {
      'aria-current': true
    });
    expect(finalStepperStep).toContainReactComponent('li', {
      'aria-current': false
    });
  });
});