"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tiles = Tiles;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _View = require("../View");

var _units = require("../../utilities/units");

var _Tiles = _interopRequireDefault(require("./Tiles.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function Tiles(_ref) {
  var children = _ref.children,
      maxPerLine = _ref.maxPerLine,
      breakAt = _ref.breakAt,
      alignment = _ref.alignment,
      spacing = _ref.spacing;
  var className = (0, _cssUtilities.classNames)(_Tiles["default"].Tiles, spacing && _Tiles["default"][(0, _cssUtilities.variationName)('spacing', spacing)], alignment && _Tiles["default"][(0, _cssUtilities.variationName)('alignment', alignment)], maxPerLine ? undefined : _Tiles["default"].doesNotWrap, breakAt ? undefined : _Tiles["default"].doesNotBreak);
  var tileWidth = maxPerLine ? "".concat(100 / maxPerLine, "%") : undefined;
  var tileBreakPoint = breakAt ? (0, _units.rem)(breakAt) : undefined;
  var style = {
    '--tile-width': tileWidth
    /* stylelint-disable-line value-keyword-case */
    ,
    '--tiles-breakpoint': tileBreakPoint
    /* stylelint-disable-line value-keyword-case */

  };
  return (
    /*#__PURE__*/

    /* View is to avoid problems with negative margins when nested inside other layouts */
    _react["default"].createElement(_View.View, null, /*#__PURE__*/_react["default"].createElement("div", {
      className: className,
      style: style
    }, children))
  );
}