"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tooltip = Tooltip;
exports.Arrow = Arrow;
exports.SPACE_KEY_CODE = exports.ESCAPE_KEY_CODE = exports.RETURN_KEY_CODE = void 0;

var _react = _interopRequireWildcard(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _id = require("../../utilities/id");

var _transition = require("../../utilities/transition");

var _Popper = require("../Popper");

var _Tooltip = _interopRequireDefault(require("./Tooltip.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var RETURN_KEY_CODE = 13;
exports.RETURN_KEY_CODE = RETURN_KEY_CODE;
var ESCAPE_KEY_CODE = 27;
exports.ESCAPE_KEY_CODE = ESCAPE_KEY_CODE;
var SPACE_KEY_CODE = 32;
exports.SPACE_KEY_CODE = SPACE_KEY_CODE;
var createId = (0, _id.createIdCreator)('Tooltip');

function Tooltip(_ref) {
  var content = _ref.content,
      children = _ref.children;

  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      active = _useState2[0],
      setActive = _useState2[1];

  var buttonRef = (0, _react.useRef)(null);
  var transition = (0, _transition.useTransition)(active, {
    exit: 'slow'
  });

  function handleKeyDown(event) {
    switch (event.keyCode) {
      case RETURN_KEY_CODE:
      case SPACE_KEY_CODE:
        event.preventDefault();
        setActive(!active);
        break;

      case ESCAPE_KEY_CODE:
        event.preventDefault();
        setActive(false);
        break;
    }
  }

  function handleClick() {
    setActive(!active);
  }

  var className = (0, _cssUtilities.classNames)(_Tooltip["default"].Tooltip, _Tooltip["default"][(0, _cssUtilities.variationName)('transition', transition)]);
  var id = (0, _id.useId)(undefined, createId);
  var controlId = active ? id : undefined;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _Tooltip["default"].Wrapper
  }, /*#__PURE__*/_react["default"].createElement("button", {
    type: "button",
    className: _Tooltip["default"].Button,
    "aria-pressed": active,
    "aria-controls": controlId,
    "aria-describedby": controlId,
    onFocus: function onFocus() {
      setActive(true);
    },
    onBlur: function onBlur() {
      setActive(false);
    },
    onMouseEnter: function onMouseEnter() {
      setActive(true);
    },
    onMouseLeave: function onMouseLeave() {
      setActive(false);
    },
    onClick: handleClick,
    onKeyDown: handleKeyDown,
    ref: buttonRef
  }, children), transition !== 'exited' && /*#__PURE__*/_react["default"].createElement(_Popper.Popper, {
    activator: buttonRef.current,
    preventOverflow: true
  }, /*#__PURE__*/_react["default"].createElement("p", {
    id: controlId,
    role: "tooltip",
    onMouseEnter: function onMouseEnter() {
      setActive(true);
    },
    onMouseLeave: function onMouseLeave() {
      setActive(false);
    },
    className: className
  }, content, /*#__PURE__*/_react["default"].createElement(Arrow, null))));
}

function Arrow() {
  var _usePopper = (0, _Popper.usePopper)(),
      clipping = _usePopper.clipping;

  var offsetX = (clipping.right || clipping.left) && "calc(".concat(document.dir === 'ltr' ? '-50' : '50', "% - ").concat(clipping.right || clipping.left, "px)");
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _Tooltip["default"].Arrow,
    style: _objectSpread({}, offsetX && {
      transform: "translateX(".concat(offsetX, ")"),
      MozTransform: "translateX(".concat(offsetX, ")"),
      webkitTransform: "translateX(".concat(offsetX, ")")
    })
  });
}