import React, { useMemo } from 'react';
import '../style.css';
import { AppContext, Theme, createTheme } from '../components';

var defaultTranslate = function defaultTranslate(key) {
  switch (key) {
    case 'processing':
      return 'Processing';

    case 'submit':
      return 'Submit';
  }
};

export function Context(_ref) {
  var children = _ref.children,
      linkComponent = _ref.linkComponent,
      explicitTranslate = _ref.translate,
      explicitTheme = _ref.theme;
  var theme = useMemo(function () {
    return explicitTheme !== null && explicitTheme !== void 0 ? explicitTheme : createTheme();
  }, [explicitTheme]);
  var translate = useMemo(function () {
    return explicitTranslate !== null && explicitTranslate !== void 0 ? explicitTranslate : defaultTranslate;
  }, [explicitTranslate]);
  return /*#__PURE__*/React.createElement(AppContext, {
    translate: translate,
    linkComponent: linkComponent
  }, /*#__PURE__*/React.createElement(Theme, {
    theme: theme
  }, children));
}