import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../storybook-utilities';
import { Breadcrumbs } from '.';
var meta = {
  component: Breadcrumbs,
  title: 'Breadcrumbs',
  decorators: [withKnobs, themeWithKnobs('buyerJourney')]
};
export default meta;
export var defaultState = function defaultState() {
  return /*#__PURE__*/React.createElement(Breadcrumbs, {
    breadcrumbs: [{
      id: 'information',
      to: '/information',
      content: 'Information'
    }, {
      id: 'shipping',
      to: '/shipping',
      content: 'Shipping'
    }, {
      id: 'payment',
      to: '/payment',
      content: 'Payment'
    }]
  });
};
export var withActiveBreadcrumb = function withActiveBreadcrumb() {
  return /*#__PURE__*/React.createElement(Breadcrumbs, {
    active: "shipping",
    breadcrumbs: [{
      id: 'information',
      to: '/information',
      content: 'Information'
    }, {
      id: 'shipping',
      to: '/shipping',
      content: 'Shipping'
    }, {
      id: 'payment',
      to: '/payment',
      content: 'Payment'
    }]
  });
};
export var withDisabledBreadcrumb = function withDisabledBreadcrumb() {
  return /*#__PURE__*/React.createElement(Breadcrumbs, {
    breadcrumbs: [{
      id: 'information',
      to: '/information',
      content: 'Information'
    }, {
      id: 'shipping',
      to: '/shipping',
      content: 'Shipping'
    }, {
      id: 'payment',
      to: '/payment',
      content: 'Payment',
      disabled: true
    }]
  });
};