import React from 'react';
import { withKnobs } from '@storybook/addon-knobs';
import { themeWithKnobs } from '../../storybook-utilities';
import { TextBlock } from '../TextBlock';
import { Heading } from '../Heading';
import { HeadingGroup } from '../HeadingGroup';
import { InlineStack } from '../InlineStack';
import { TextContainer } from './TextContainer';
var meta = {
  component: TextContainer,
  title: 'TextContainer',
  decorators: [withKnobs, themeWithKnobs('headingLevel2', 'headingLevel3')]
};
export default meta;

function ExampleText() {
  return /*#__PURE__*/React.createElement(TextBlock, null, "Lorem ipsum dolor sit amet consectetur adipisicing elit. Beatae enim veniam natus facilis. Nemo nisi assumenda alias dolore saepe quia! Sed perspiciatis veritatis nesciunt vitae nobis distinctio quod illo neque?");
}

export var defaultState = function defaultState() {
  return /*#__PURE__*/React.createElement(TextContainer, null, /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null));
};
export var allSpacings = function allSpacings() {
  return /*#__PURE__*/React.createElement(InlineStack, null, /*#__PURE__*/React.createElement(TextContainer, {
    spacing: "none"
  }, /*#__PURE__*/React.createElement(Heading, null, "Tight"), /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null)), /*#__PURE__*/React.createElement(TextContainer, {
    spacing: "tight"
  }, /*#__PURE__*/React.createElement(Heading, null, "Tight"), /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null)), /*#__PURE__*/React.createElement(TextContainer, null, /*#__PURE__*/React.createElement(Heading, null, "Default"), /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null)), /*#__PURE__*/React.createElement(TextContainer, {
    spacing: "loose"
  }, /*#__PURE__*/React.createElement(Heading, null, "Loose"), /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null)));
};
export var allAlignments = function allAlignments() {
  return /*#__PURE__*/React.createElement(InlineStack, null, /*#__PURE__*/React.createElement(TextContainer, null, /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null)), /*#__PURE__*/React.createElement(TextContainer, {
    alignment: "center"
  }, /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null)), /*#__PURE__*/React.createElement(TextContainer, {
    alignment: "trailing"
  }, /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null)));
};
export var nested = function nested() {
  return /*#__PURE__*/React.createElement(TextContainer, {
    alignment: "trailing"
  }, /*#__PURE__*/React.createElement(Heading, null, "Default"), /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(HeadingGroup, null, /*#__PURE__*/React.createElement(TextContainer, {
    spacing: "tight"
  }, /*#__PURE__*/React.createElement(Heading, null, "Nested with tight spacing"), /*#__PURE__*/React.createElement(ExampleText, null), /*#__PURE__*/React.createElement(ExampleText, null))));
};