"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = Icon;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _icons = require("../../icons");

var _Icon = _interopRequireDefault(require("./Icon.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const BUNDLED_ICONS = {
  caretDown: _icons.caretDown,
  cart: _icons.cart,
  checkmark: _icons.checkmark,
  chevronDown: _icons.chevronDown,
  chevronUp: _icons.chevronUp,
  chevronRight: _icons.chevronRight,
  chevronLeft: _icons.chevronLeft,
  close: _icons.close,
  critical: _icons.critical,
  discount: _icons.discount,
  delivered: _icons.delivered,
  delivery: _icons.delivery,
  disabled: _icons.disabled,
  errorFill: _icons.errorFill,
  info: _icons.info,
  lock: _icons.lock,
  questionFill: _icons.questionFill,
  spinner: _icons.spinner,
  spinnerSmall: _icons.spinnerSmall,
  success: _icons.success,
  ship: _icons.ship,
  warning: _icons.warning,
  warningFill: _icons.warningFill
};

function Icon({
  source,
  color,
  size,
  accessibilityLabel
}) {
  const className = (0, _cssUtilities.classNames)(_Icon.default.Icon, color && _Icon.default[(0, _cssUtilities.variationName)('color', color)], size && _Icon.default[(0, _cssUtilities.variationName)('size', size)]);
  let contentMarkup;

  if (source === 'placeholder') {
    contentMarkup = /*#__PURE__*/_react.default.createElement("div", {
      className: _Icon.default.Placeholder
    });
  } else {
    const SourceComponent = BUNDLED_ICONS[source];
    contentMarkup = /*#__PURE__*/_react.default.createElement(SourceComponent, {
      className: _Icon.default.Svg,
      focusable: "false",
      "aria-hidden": "true"
    });
  }

  return /*#__PURE__*/_react.default.createElement("span", {
    className: className,
    "aria-label": accessibilityLabel
  }, contentMarkup);
}