"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PortalHost = PortalHost;
exports.Portal = Portal;

var _react = _interopRequireWildcard(require("react"));

var _reactDom = require("react-dom");

var _id = require("../../utilities/id");

var _Portal = _interopRequireDefault(require("./Portal.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const PORTAL_HOST_ID = 'PortalHost';
const createId = (0, _id.createIdCreator)('Portal');

function PortalHost() {
  return /*#__PURE__*/_react.default.createElement("div", {
    id: PORTAL_HOST_ID
  });
}

function Portal({
  children
}) {
  const [node, setNode] = (0, _react.useState)(null);
  const id = (0, _id.useId)(undefined, createId);
  (0, _react.useEffect)(() => {
    var _document$getElementB;

    const portal = (_document$getElementB = document.getElementById(PORTAL_HOST_ID)) !== null && _document$getElementB !== void 0 ? _document$getElementB : document.body;
    const node = document.createElement('div');
    node.setAttribute('id', id);
    node.setAttribute('class', _Portal.default.Portal);
    portal.appendChild(node);
    setNode(node);
    return () => {
      portal.removeChild(node);
    };
  }, [id]);
  return node && /*#__PURE__*/(0, _reactDom.createPortal)(children, node);
}