"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CustomProperties = void 0;

var _react = _interopRequireWildcard(require("react"));

var _hooks = require("../../hooks");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const CustomProperties = /*#__PURE__*/(0, _react.memo)(function CustomProperties({
  children
}) {
  const theme = (0, _hooks.useTheme)();
  const divRef = (0, _react.useRef)(null);
  const customPropertiesStyle = (0, _react.useMemo)(() => customPropertiesToStyleProp(theme.customProperties), [theme]);
  (0, _react.useEffect)(() => {
    return theme.on('preview', customProperties => {
      const {
        current: root
      } = divRef;
      if (root == null) return;
      const normalized = customPropertiesToStyleProp(customProperties);

      for (const property of Object.keys(normalized)) {
        root.style.setProperty(property, normalized[property]);
      }
    });
  }, [theme]);
  return /*#__PURE__*/_react.default.createElement("div", {
    style: customPropertiesStyle,
    ref: divRef
  }, children);
});
exports.CustomProperties = CustomProperties;

function customPropertiesToStyleProp(properties) {
  const normalized = {};

  for (const key of Object.keys(properties)) {
    normalized[`--x-${key.replace(/([a-z\d])([A-Z])/g, '$1-$2').toLowerCase()}`] = properties[key];
  }

  return normalized;
}