"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Thumbnail = Thumbnail;

var _react = _interopRequireDefault(require("react"));

var _cssUtilities = require("@shopify/css-utilities");

var _Thumbnail = _interopRequireDefault(require("./Thumbnail.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Thumbnail({
  description,
  border = 'full',
  source,
  badge,
  badgeBackground = 'subdued'
}) {
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _cssUtilities.classNames)(_Thumbnail.default.Thumbnail, border && _Thumbnail.default[(0, _cssUtilities.variationName)('border', border)])
  }, badge != null && /*#__PURE__*/_react.default.createElement("span", {
    className: (0, _cssUtilities.classNames)(_Thumbnail.default.Badge, _Thumbnail.default[(0, _cssUtilities.variationName)('Badge-background', badgeBackground)]),
    "aria-hidden": true
  }, badge), /*#__PURE__*/_react.default.createElement("img", {
    className: _Thumbnail.default.Image,
    src: source,
    alt: description
  }));
}