"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.both = exports.leading = exports.trailing = void 0;
const react_1 = __importDefault(require("react"));
const addon_knobs_1 = require("@storybook/addon-knobs");
const TextField_1 = require("../TextField");
const Button_1 = require("../Button");
const storybook_utilities_1 = require("../../storybook-utilities");
const Thumbnail_1 = require("../Thumbnail");
const Bookend_1 = require("./Bookend");
const meta = {
    component: Bookend_1.Bookend,
    title: 'Bookend',
    decorators: [addon_knobs_1.withKnobs, storybook_utilities_1.themeWithKnobs('textFields')],
};
exports.default = meta;
exports.trailing = () => (<Bookend_1.Bookend trailing>
    <TextField_1.TextField label="Name"/>
    <Button_1.Button>Hello, world!</Button_1.Button>
  </Bookend_1.Bookend>);
exports.leading = () => (<Bookend_1.Bookend leading>
    <Thumbnail_1.Thumbnail description="Placeholder image" source="//cdn.shopify.com/s/assets/checkout/product-blank-98d4187c2152136e9fb0587a99dfcce6f6873f3a9f21ea9135ed7f495296090f.png"/>
    <TextField_1.TextField label="Name"/>
  </Bookend_1.Bookend>);
exports.both = () => (<Bookend_1.Bookend leading trailing>
    <Thumbnail_1.Thumbnail description="Placeholder image" source="//cdn.shopify.com/s/assets/checkout/product-blank-98d4187c2152136e9fb0587a99dfcce6f6873f3a9f21ea9135ed7f495296090f.png"/>
    <TextField_1.TextField label="Name"/>
    <Button_1.Button>Hello, world!</Button_1.Button>
  </Bookend_1.Bookend>);
