"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const dom_1 = require("@quilted/react-testing/dom");
const icons_1 = require("../../icons");
const Icon_1 = require("./Icon");
describe('<Icon />', () => {
    it('renders a placeholder in a <div>', () => {
        const icon = dom_1.mount(<Icon_1.Icon source="placeholder"/>);
        expect(icon).toContainReactComponent('div');
    });
    it('renders an actual icon>', () => {
        const icon = dom_1.mount(<Icon_1.Icon source="chevronDown"/>);
        expect(icon).toContainReactComponent(icons_1.chevronDown);
    });
    it('renders a <span> with a aria-label attribute', () => {
        const icon = dom_1.mount(<Icon_1.Icon source="placeholder" accessibilityLabel="Some icon"/>);
        expect(icon).toContainReactComponent('span', { 'aria-label': 'Some icon' });
    });
});
