"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.aspectRatio = exports.responsive = exports.contain = exports.cover = exports.lazyLoading = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const faker_1 = __importDefault(require("faker"));
const TextContainer_1 = require("../TextContainer");
const Image_1 = require("./Image");
const meta = {
    component: Image_1.Image,
    title: 'Image',
};
exports.default = meta;
exports.defaultState = () => (<Image_1.Image source="http://placekitten.com/g/320/180"/>);
exports.lazyLoading = () => (<Image_1.Image source="http://placekitten.com/g/320/180" description="placekitten.com" loading="lazy"/>);
exports.cover = () => (<div style={{ width: 256 }}>
    <Image_1.Image source="http://placekitten.com/g/320/180" sources={[
    { source: 'http://placekitten.com/g/320/180', resolution: 1 },
    { source: 'http://placekitten.com/g/640/360', resolution: 2 },
]} aspectRatio={1} fit="cover" bordered description="placekitten.com"/>
  </div>);
exports.contain = () => (<div style={{ width: 256 }}>
    <Image_1.Image source="http://placekitten.com/g/320/180" sources={[
    { source: 'http://placekitten.com/g/320/180', resolution: 1 },
    { source: 'http://placekitten.com/g/640/360', resolution: 2 },
]} aspectRatio={1} fit="contain" bordered description="placekitten.com"/>
  </div>);
exports.responsive = () => (<Image_1.Image source="http://placekitten.com/g/320/180" sources={[
    {
        source: 'http://placekitten.com/g/320/180',
        resolution: 1,
        viewportSize: 'small',
    },
    {
        source: 'http://placekitten.com/g/640/360',
        resolution: 2,
        viewportSize: 'small',
    },
    {
        source: 'http://placekitten.com/g/640/360',
        resolution: 1,
        viewportSize: 'medium',
    },
    {
        source: 'http://placekitten.com/g/1280/720',
        resolution: 2,
        viewportSize: 'medium',
    },
    {
        source: 'http://placekitten.com/g/1280/720',
        resolution: 1,
        viewportSize: 'large',
    },
    {
        source: 'http://placekitten.com/g/2560/1440',
        resolution: 2,
        viewportSize: 'large',
    },
]} description="placekitten.com"/>);
exports.aspectRatio = () => (<div style={{ width: 320 }}>
    <TextContainer_1.TextContainer>
      <Image_1.Image source="http://placekitten.com/g/640/360" aspectRatio={3}/>
      <p>{faker_1.default.lorem.paragraphs(3)}</p>
    </TextContainer_1.TextContainer>
  </div>);
