"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AllSpacings = exports.Alignment = exports.defaultState = void 0;
const react_1 = __importDefault(require("react"));
const TextContainer_1 = require("../TextContainer");
const TextBlock_1 = require("../TextBlock");
const InlineStack_1 = require("./InlineStack");
const meta = {
    component: InlineStack_1.InlineStack,
    title: 'InlineStack',
};
exports.default = meta;
function Content() {
    return (<div style={{ backgroundColor: 'lightgrey' }}>
      <TextBlock_1.TextBlock>This is content</TextBlock_1.TextBlock>
    </div>);
}
function ContentLong() {
    return (<div style={{ backgroundColor: 'lightgrey' }}>
      <TextContainer_1.TextContainer>
        <TextBlock_1.TextBlock>
          This is content lorem ipsum dolor sit amet, consectetur adipiscing
          elit eum maxime, corrupti atque voluptatum nisi modi.
        </TextBlock_1.TextBlock>
        <TextBlock_1.TextBlock>
          This is content lorem ipsum dolor sit amet, consectetur adipiscing
          elit eum maxime, corrupti.
        </TextBlock_1.TextBlock>
      </TextContainer_1.TextContainer>
    </div>);
}
exports.defaultState = () => (<InlineStack_1.InlineStack>
    <Content />
    <Content />
    <Content /> <Content />
    <Content />
    <Content /> <Content />
    <Content />
    <Content /> <Content />
    <Content />
    <Content /> <Content />
    <Content />
    <Content /> <Content />
    <Content />
    <Content /> <Content />
    <Content />
    <Content /> <Content />
    <Content /> <Content /> <Content />
    <Content />
    <Content /> <Content />
    <Content />
    <Content /> <Content />
    <Content />
    <Content />
  </InlineStack_1.InlineStack>);
exports.Alignment = () => (<>
    <InlineStack_1.InlineStack alignment="leading">
      <ContentLong />
      <Content />
      <Content />
    </InlineStack_1.InlineStack>
    <br />
    <InlineStack_1.InlineStack alignment="center">
      <ContentLong />
      <Content />
      <Content />
    </InlineStack_1.InlineStack>
    <br />
    <InlineStack_1.InlineStack alignment="trailing">
      <ContentLong />
      <Content />
      <Content />
    </InlineStack_1.InlineStack>
    <br />
    <InlineStack_1.InlineStack alignment="baseline">
      <ContentLong />
      <Content />
      <TextBlock_1.TextBlock size="large">This is a large text</TextBlock_1.TextBlock>
    </InlineStack_1.InlineStack>
  </>);
exports.AllSpacings = () => (<>
    <InlineStack_1.InlineStack spacing="xtight">
      <Content />
      <Content />
      <Content />
    </InlineStack_1.InlineStack>
    <InlineStack_1.InlineStack spacing="tight">
      <Content />
      <Content />
      <Content />
    </InlineStack_1.InlineStack>
    <InlineStack_1.InlineStack>
      <Content />
      <Content />
      <Content />
    </InlineStack_1.InlineStack>
    <InlineStack_1.InlineStack spacing="loose">
      <Content />
      <Content />
      <Content />
    </InlineStack_1.InlineStack>
    <InlineStack_1.InlineStack spacing="xloose">
      <Content />
      <Content />
      <Content />
    </InlineStack_1.InlineStack>
  </>);
