"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Link = void 0;
const react_1 = __importDefault(require("react"));
const Button_1 = require("../Button");
const components_1 = require("./components");
const Link_css_1 = __importDefault(require("./Link.css"));
/**
 * Link is used to navigate the buyer to another page or section within the same page.
 */
function Link(_a) {
    var { to, children, onPress } = _a, rest = __rest(_a, ["to", "children", "onPress"]);
    if (!to) {
        return (<Button_1.Button onPress={onPress} plain {...rest}>
        {children}
      </Button_1.Button>);
    }
    return (<components_1.UnstyledLink className={Link_css_1.default.Link} to={to} onPress={onPress} {...rest}>
      {children}
    </components_1.UnstyledLink>);
}
exports.Link = Link;
