"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const dom_1 = require("@quilted/react-testing/dom");
const Stepper_1 = require("./Stepper");
const context_1 = require("./context");
const _1 = require(".");
describe('<Stepper />', () => {
    it('renders <StepperStep /> children', () => {
        const stepper = dom_1.mount(<Stepper_1.Stepper>
        <_1.StepperStep id="step1" icon="checkmark" label="Step 1" state="State 1"/>
        <_1.StepperStep id="step2" icon="checkmark" label="Step 2" state="State 2"/>
      </Stepper_1.Stepper>);
        expect(stepper).toContainReactComponent(_1.StepperStep);
        expect(stepper).toContainReactComponentTimes(_1.StepperStep, 2);
    });
    it('wraps <StepperStep /> children with StepperContext', () => {
        const stepper = dom_1.mount(<Stepper_1.Stepper activeStep="step2">
        <_1.StepperStep id="step1" icon="checkmark" label="Step 1" state="State 1"/>
        <_1.StepperStep id="step2" icon="checkmark" label="Step 2" state="State 3"/>
        <_1.StepperStep id="step3" icon="checkmark" label="Step 3" state="State 3"/>
      </Stepper_1.Stepper>);
        expect(stepper).toProvideReactContext(context_1.StepperContext, {
            steps: {
                step1: { active: false, completed: true },
                step2: { active: true, completed: false },
                step3: { active: false, completed: false },
            },
        });
    });
});
