import { ReactNode } from 'react';
declare type Spacing = 'extraTight' | 'tight' | 'base' | 'loose' | 'extraLoose';
export interface Props {
    children?: ReactNode;
    /** Adjust the inline padding */
    inlinePadding?: Spacing;
    /** Adjust the block padding */
    blockPadding?: Spacing;
}
/**
 * A View is a generic container component. Its contents will always be their
 * “natural” size, so this component can be useful in layout components (like `Layout`, `Tiles`,
 * `BlockStack`, `InlineStack`) that would otherwise stretch their children to fit.
 */
export declare function View({ children, inlinePadding, blockPadding }: Props): JSX.Element;
export {};
