"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mountWithContext = void 0;
const react_1 = __importDefault(require("react"));
const dom_1 = require("@quilted/react-testing/dom");
const components_1 = require("../components");
const defaultTranslate = () => 'NO_TRANSLATIONS_PROVIDED';
exports.mountWithContext = dom_1.createMount({
    context({ theme = components_1.createTheme() }) {
        return { theme };
    },
    render(element, { theme }, { translate = defaultTranslate, linkComponent }) {
        return (<components_1.AppContext translate={translate} linkComponent={linkComponent}>
        <components_1.ThemeContext.Provider value={theme}>{element}</components_1.ThemeContext.Provider>
      </components_1.AppContext>);
    },
});
